module Dipps
  module Client
    module Queries
      Clients = GraphqlClient.parse <<~GQL
        query($orgNumber: String, $email: String) {
          clients(
            orgNumber: $orgNumber,
            email: $email
          ) {
            id
            clientType
            clientNumber
            email
            name
            friendlyName
            orgNumber
            phone
            address {
              line1
              line2
              postalCode
              city
              county
              country
              latitude
              longitude
            }
            referencePeople {
              name
              email
              phone
              referenceNumber
            }
            archivedAt
          }
        }
      GQL
    end
  end
end
