module Dipps
  module Client
    module Queries
      CreateOwnInvoice = GraphqlClient.parse <<~GQL
        mutation($freelance_profile_id: ID!, $attributes: InvoiceAttributes!) {
          createOwnInvoice(
            input: {
              freelanceProfileId: $freelance_profile_id,
              attributes: $attributes
            }
          ) {
            invoice {
              id
              lines {
                workInvoiceLineId
                workStartedAt
                workEndedAt
                vatRate
                lineType
              }
            }
            errors {
              code
              path
            }
          }
        }
      GQL
    end
  end
end
