module Dipps
  module Client
    module Queries
      UpdateClient = GraphqlClient.parse <<~GQL
        mutation($id: ID!, $attributes: UpdateClientAttributes!) {
          updateClient(
            input: {
              id: $id,
              attributes: $attributes
            }
          ) {
            client {
              id
              clientType
              clientNumber
              email
              name
              friendlyName
              orgNumber
              phone
              address {
                line1
                line2
                postalCode
                city
                county
                country
                latitude
                longitude
              }
              referencePeople {
                name
                email
                phone
                referenceNumber
              }
              archivedAt
            }
            errors {
              code
              path
            }
          }
        }
      GQL
    end
  end
end
